Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3SubSegment

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3SubSegment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRISubSegment, XRISyntaxComponent

    public class XRI3SubSegment

extends XRI3SyntaxComponent
implements XRISubSegment

See Also:
  Serialized Form

Constructor Summary
`XRI3SubSegment(java.lang.Character cs, java.lang.String uri)`
`XRI3SubSegment(java.lang.Character gcs, XRISubSegment localSubSegment)`
`XRI3SubSegment(java.lang.String string)`

Method Summary
`java.lang.Character` | `getGCS()`
`java.lang.Character` | `getLCS()`
`XRILiteral` | `getLiteral()`
`Rule` | `getParserObject()`
`XRIXRef` | `getXRef()`
`boolean` | `hasGCS()`
`boolean` | `hasLCS()`
`boolean` | `hasLiteral()`
`boolean` | `hasXRef()`
`boolean` | `isGlobal()`
`boolean` | `isLocal()`
`boolean` | `isPersistent()`
`boolean` | `isReassignable()`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toIRINormalForm, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toIRINormalForm, toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3SubSegment

    public XRI3SubSegment(java.lang.String string)
                   throws ParserException

Throws:
  `ParserException`

### XRI3SubSegment

    public XRI3SubSegment(java.lang.Character gcs,
                          XRISubSegment localSubSegment)
                   throws ParserException

Throws:
  `ParserException`

### XRI3SubSegment

    public XRI3SubSegment(java.lang.Character cs,
                          java.lang.String uri)
                   throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### hasGCS

    public boolean hasGCS()

  Specified by:
    `hasGCS` in interface `XRISubSegment`

### hasLCS

    public boolean hasLCS()

  Specified by:
    `hasLCS` in interface `XRISubSegment`

### hasLiteral

    public boolean hasLiteral()

  Specified by:
    `hasLiteral` in interface `XRISubSegment`

### hasXRef

    public boolean hasXRef()

  Specified by:
    `hasXRef` in interface `XRISubSegment`

### getGCS

    public java.lang.Character getGCS()

  Specified by:
    `getGCS` in interface `XRISubSegment`

### getLCS

    public java.lang.Character getLCS()

  Specified by:
    `getLCS` in interface `XRISubSegment`

### getLiteral

    public XRILiteral getLiteral()

  Specified by:
    `getLiteral` in interface `XRISubSegment`

### getXRef

    public XRIXRef getXRef()

  Specified by:
    `getXRef` in interface `XRISubSegment`

### isGlobal

    public boolean isGlobal()

  Specified by:
    `isGlobal` in interface `XRISubSegment`

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `XRISubSegment`

### isPersistent

    public boolean isPersistent()

  Specified by:
    `isPersistent` in interface `XRISubSegment`

### isReassignable

    public boolean isReassignable()

  Specified by:
    `isReassignable` in interface `XRISubSegment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.